# Omega Launcher
Libre software launcher. <br/>
[![Build Status](https://img.shields.io/github/workflow/status/otakuhqz/Omega/Omega%20CI?event=push&logo=github&style=for-the-badge)](https://github.com/otakuhqz/Omega/actions?query=workflow%3A%22Omega+CI%22+event%3Apush)
[![License](https://img.shields.io/badge/License-GPL%20v3-blue.svg?style=for-the-badge)](https://github.com/otakuhqz/Omega/blob/main/LICENSE)
[![GitHub release](https://img.shields.io/github/release/otakuhqz/Omega.svg?style=for-the-badge)](https://github.com/otakuhqz/Omega/releases)

## Installation
APKs are available on GitHub and in the Telegram channel. Some nightly builds
are only available in the Telegram channel.<br/>
[<img src="badge_github.png" alt="Get it on GitHub" height="80">](https://github.com/otakuhqz/omega/releases)
[<img src="badge_izzy.png" alt="Get it on IzzyOnDroid" height="80">](https://apt.izzysoft.de/fdroid/index/apk/com.saggitt.omega)

Nightly builds are now available at Github actions [![artifacts](https://github.com/otakuhqz/Omega/actions)]
CAUTION: Nightly builds might be unstable.

F-Droid Repo:<br>
Download the current debug version by adding the following repo to the F-Droid App
[https://raw.githubusercontent.com/nonaybay/Omega/master/fdroid/repo](https://raw.githubusercontent.com/nonaybay/Omega/master/fdroid/repo)
## Community
You can join the Telegram channel to get nightly builds. There is also a Telegram group
to discuss the development, issues and new features.<br/>
[![Telegram](https://img.shields.io/badge/Telegram-channel-blue.svg?style=for-the-badge)](https://t.me/omegalauncher)
[![Telegram](https://img.shields.io/badge/Telegram-group-blue.svg?style=for-the-badge)](https://t.me/omegalauncher_group)

##  Working Features
-   [X] Five modes of sorting apps in the drawer.
-   [X] Google feed integration.
-   [X] Theme support.
-   [X] Customize search engine.
-   [X] Gesture support
-   [X] Notification configuration.
-   [X] Categorize apps in the drawer.
-   [X] Icon Shape support.
-   [X] Quick action shortcuts (dash).
-   [X] Hide apps.
-   [X] Dock search.
-   [X] Drawer grid preference.
-   [X] Customize app icons.
-   [X] All apps icon scaling.
-   [X] Dock icon scaling.
-   [X] Workspace icon scaling.
-   [X] Desktop grid preference.
-   [X] App predictions (v8 - v9 only).
-   [X] Icon pack support.
-   [X] Back up and restore preferences.
-   [X] Vertical Apps List.

##  New Features and TODOs
-   [ ] Turn off "auto remove empty screen".
-   [ ] Add desktop screen manually.
-   [ ] Reorder empty screens.
-   [ ] Horizontal drawer.
-   [ ] Add auto tab mode for drawer.
-   [ ] Animations.
-   [ ] Re-write the home widget .

##  Screenshots
<table>
    <tr>
        <td><img src="https://raw.githubusercontent.com/otakuhqz/Omega/omega-11/snapshots/omega1.jpg" width="256" />
        </td>
        <td><img src="https://raw.githubusercontent.com/otakuhqz/omega/master/snapshots/omega2.jpg" width="256" />
        </td>
        <td><img src="https://raw.githubusercontent.com/otakuhqz/omega/omega-11/snapshots/omega3.jpg" width="256" />
        </td>
    </tr>
        <tr>
        <td><img src="https://raw.githubusercontent.com/otakuhqz/omega/master/snapshots/omega4.jpg" width="256" />
        </td>
        <td><img src="https://raw.githubusercontent.com/otakuhqz/omega/omega-11/snapshots/omega5.jpg" width="256" />
        </td>
        <td><img src="https://raw.githubusercontent.com/otakuhqz/omega/master/snapshots/omega6.jpg" width="256" />
        </td>
    </tr>
     <tr>
        <td><img src="https://raw.githubusercontent.com/otakuhqz/omega/omega-11/snapshots/omega7.jpg" width="256" />
        </td>
        <td><img src="https://raw.githubusercontent.com/otakuhqz/omega/master/snapshots/omega8.jpg" width="256" />
        </td>
        <td>
        </td>
    </tr>
</table>

## Contributions
If you have knowledge in Java or Kotlin you can work on additional features! or bugs and open
pull requests!. Make sure the code is formatted before make a pull request.

You can also contribute to this project by opening issues for bugs or new features.

## Support Development
[![397U9cwF8LH7F27cDnwFazaQ16LFNiiuU5](https://img.shields.io/badge/Bitcoin-397U9cwF8LH7F27cDnwFazaQ16LFNiiuU5-blue?&logo=bitcoin)](https://img.shields.io/badge/Bitcoin-397U9cwF8LH7F27cDnwFazaQ16LFNiiuU5-blue?style=for-the-badge&logo=bitcoin)

Please note that ETH deposits via smart contracts are not supported. <br>
[![0xffb2a33d7a4dbd694efe859f55e30c5b3fd1b5c5](https://img.shields.io/badge/Ethereum-0xffb2a33d7a4dbd694efe859f55e30c5b3fd1b5c5-blue?&logo=Ethereum)](https://img.shields.io/badge/Ethereum-0xffb2a33d7a4dbd694efe859f55e30c5b3fd1b5c5-blue?style=for-the-badge&logo=Ethereum)

[![Donate](https://img.shields.io/badge/Paypal-Donate-blue?style=for-the-badge&logo=paypal)](https://www.paypal.com/paypalme/saulhenriquez)
[![Donate](https://img.shields.io/badge/Patreon-Donate-blue?style=for-the-badge&logo=patreon)](https://www.patreon.com/omegalauncher)

## Credits
The LawnchairLauncher team for the great work on Lawnchair.<br>
[Antonios Hazim](https://github.com/machiav3lli) for creating the logo and his great contributions in the project.<br>
[Rafael Venancio](https://github.com/rafaelvenancio98) for creating the F-droid repo.

## Translation
Translations are handled via Weblate. If want to help, visit [Hosted Weblate](https://hosted.weblate.org/projects/omegalauncher/)

[![Estado de la traducción](https://hosted.weblate.org/widgets/omegalauncher/-/287x66-white.png)](https://hosted.weblate.org/engage/omegalauncher/)

[![Estado de la traducción](https://hosted.weblate.org/widgets/omegalauncher/-/multi-red.svg)](https://hosted.weblate.org/engage/omegalauncher/)
